Subject: bug#10633: Please mark invalid "; !important;" in CSS

From: Lennart Borgman <[email-masked]>
Date: Tue, 31 Jan 2012 03:36:11 +0100

On Tue, Jan 31, 2012 at 02:48, Stefan Monnier <[email-masked]>wrote:

> >> >> However there are a lot of things that can go wrong when you work
> with
> >> >> things like css.
> >> > I don't think it should be the job of CSS mode to highlight ad-hoc
> >> > mistake conditions like that.
> >> There's cwarn-mode for something similar, so the question really is
> >> whether this error is common or specific to a particular user.
> >> I have no idea which it is.
> > The "!important" is colored as it is now even when I happen to put it
> > after the ";". Not syntax coloring that would be enough to easily
> > detect the problem.
>
> That would be perfect, yes.  Patch welcome,
>
> I think this is enough:

    ;;("!\\s-*important" . font-lock-builtin-face)
    ("[^; \t\n]\\s-*\\(!\\s-*important\\)"
     (1 'font-lock-builtin-face))